{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Python Debugger: Current File",
            "type": "debugpy",
            "request": "launch",
            "program": "${file}",
            "args": [],
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/usr/lib/solydxk/system",
            "sudo": false,
            "justMyCode": true,
            "env": {"IN_VSCODIUM_DEBUGGER": ""}
        },
        {
            "name": "Python Debugger: Application",
            "type": "debugpy",
            "request": "launch",
            "program": "main.py",
            "args": ["-d"],
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/usr/lib/solydxk/system",
            "sudo": false,
            "justMyCode": true,
            "env": {"IN_VSCODIUM_DEBUGGER": ""}
        },
        {
            "name": "Python Debugger: sudo file",
            "type": "debugpy",
            "request": "launch",
            "program": "${file}",
            "args": [],
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/usr/lib/solydxk/system",
            "sudo": true,
            "justMyCode": true,
            "env": {"IN_VSCODIUM_DEBUGGER": ""}
        }
    ]
}